Package de.willuhn.jameica.hbci.rmi

# Interface BaseUeberweisung

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `HibiscusTransfer`, `Remote`, `Terminable`, `de.willuhn.datasource.rmi.Transactionable`, `Transfer`

All Known Subinterfaces:
  `AuslandsUeberweisung`, `Lastschrift`, `SepaLastschrift`, `Ueberweisung`

All Known Implementing Classes:
  `AbstractBaseUeberweisungImpl`, `AuslandsUeberweisungImpl`, `LastschriftImpl`, `SepaLastschriftImpl`, `UeberweisungImpl`

public interface BaseUeberweisung extends HibiscusTransfer, Terminable
Basis-Interface fuer Einzelueberweisungen und Einzellastschriften.

## Method Summary

Modifier and Type
Method
Description
`String`
`getTextSchluessel()`
Liefert den Textschluessel des Auftrags.
`void`
`setTextSchluessel(String schluessel)`
Speichert den Textschluessel.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusTransfer

`getKonto, setBetrag, setGegenkonto, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setKonto, setWeitereVerwendungszwecke, setZweck, setZweck2`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin, ueberfaellig`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Method Details

### getTextSchluessel

String getTextSchluessel() throws RemoteException
Liefert den Textschluessel des Auftrags.

Returns:
  Textschluessel.
Throws:
  `RemoteException`

### setTextSchluessel

void setTextSchluessel(String schluessel) throws RemoteException
Speichert den Textschluessel.

Parameters:
  `schluessel` -
Throws:
  `RemoteException`